io.vertx.reactivex.ext.web.handler

## Class ErrorHandler

- java.lang.Object
- - io.vertx.reactivex.ext.web.handler.ErrorHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class ErrorHandler
      extends Object
      implements Handler<RoutingContext>

  A pretty error handler for rendering error pages. When working in development mode exception details will be returned in the server responses, otherwise or when manually specified no exception details are returned in the HTTP response. The reason the display of the exception details is by default dependent of the mode is to follow the security best practices: https://www.owasp.org/index.php/Improper_Error_Handling

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ErrorHandler>` | `__TYPE_ARG`
    `static String` | `DEFAULT_ERROR_HANDLER_TEMPLATE` The default template to use for rendering

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorHandler(ErrorHandler delegate)`
    `ErrorHandler(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ErrorHandler` | `create()` Create an error handler using defaults
    `static ErrorHandler` | `create(boolean displayExceptionDetails)` Create an error handler
    `static ErrorHandler` | `create(String errorTemplateName)` Create an error handler
    `static ErrorHandler` | `create(String errorTemplateName, boolean displayExceptionDetails)` Create an error handler
    `boolean` | `equals(Object o)`
    `ErrorHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static ErrorHandler` | `newInstance(ErrorHandler arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ErrorHandler> __TYPE_ARG

    - #### DEFAULT_ERROR_HANDLER_TEMPLATE

          public static final String DEFAULT_ERROR_HANDLER_TEMPLATE

      The default template to use for rendering
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ErrorHandler

          public ErrorHandler(ErrorHandler delegate)

    - #### ErrorHandler

          public ErrorHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ErrorHandler getDelegate()

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### create

          public static ErrorHandler create()

      Create an error handler using defaults
      Returns:
        the handler

    - #### create

          public static ErrorHandler create(String errorTemplateName,
                                            boolean displayExceptionDetails)

      Create an error handler
      Parameters:
        `errorTemplateName` - the error template name - will be looked up from the classpath
        `displayExceptionDetails` - true if exception details should be displayed
      Returns:
        the handler

    - #### create

          public static ErrorHandler create(boolean displayExceptionDetails)

      Create an error handler
      Parameters:
        `displayExceptionDetails` - true if exception details should be displayed
      Returns:
        the handler

    - #### create

          public static ErrorHandler create(String errorTemplateName)

      Create an error handler
      Parameters:
        `errorTemplateName` - the error template name - will be looked up from the classpath
      Returns:
        the handler

    - #### newInstance

          public static ErrorHandler newInstance(ErrorHandler arg)

Copyright © 2020 Eclipse. All rights reserved.